Page MenuHomePhabricator

Correctly move files from Wikipedia to Commons (2013)
Open, Needs TriagePublic

Description

Survey: 2013

Original wish (German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche/Dateien
Update sites on-wiki:

Insights:

  • There are files that should stay on Wikipedia and not be moved to Commons, e.g. files under the fair use licence
  • Currently, the commonshelper tool is mainly used to move files to Commons
  • It is not about writing a bot to move many files quickly, but about writing a correct method for moving a single file

Plan:

  • Implement a Commons extension that moves files to Commons, keeping all data intact. This includes file revisions and text revisions as well as info about who moved the file. It also mentions the move in the version history. T146666
  • Link the new extension from Wikipedia file pages where appropriate T144480
  • Disable the link if moving is not encouraged T146751
  • all other open stories :)

Out of scope
For the wish, we will implement a hard coded mapping of well known matches of wikipedia and commons templates. Ideally, this should be configurable. Thoughts about how to do it are collected here: T143415

Related Objects

StatusAssignedTask
OpenNone
ResolvedLea_WMDE
InvalidNone
Resolved Addshore
ResolvedLea_WMDE
DeclinedNone
DuplicateNone
OpenNone
Resolved Addshore
Resolved Addshore
OpenNone
Resolved Addshore
OpenNone
Resolved Addshore
Resolved Addshore
OpenNone
DeclinedNone
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
Resolved Addshore
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
OpenNone
OpenNone
DuplicateNone
Resolved Addshore
Declined Addshore
Resolved Addshore
Resolved Addshore
Invalid Addshore
InvalidNone
ResolvedAndrew-WMDE
Resolved Addshore
Resolved Addshore
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedTobi_WMDE_SW
InvalidNone
ResolvedAndrew-WMDE
Resolved Addshore
Resolved Addshore
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
OpenNone
InvalidNone
Resolved Addshore
OpenNone
OpenNone
InvalidNone
ResolvedWMDE-Fisch
OpenJStrodt_WMDE
ResolvedWMDE-Fisch
OpenNone
ResolvedAndrew-WMDE
OpenNone
Resolvedthiemowmde
OpenNone
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
Resolvedthiemowmde
Resolvedthiemowmde
OpenNone
OpenNone
OpenNone
InvalidNone
DuplicateNone
ResolvedAndrew-WMDE
OpenNone
OpenNone
OpenNone
DuplicateNone
Resolved Addshore
DuplicateNone
Resolved Addshore
OpenNone
DeclinedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedLea_WMDE
ResolvedGoranSMilovanovic
Resolved Addshore
DeclinedNone
OpenNone
Resolved Addshore
ResolvedReedy
DuplicateNone
ResolvedNone
ResolvedAnomie
ResolvedAndrew-WMDE
OpenNone
ResolvedReedy
ResolvedTobi_WMDE_SW
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
ResolvedNone
DuplicateNone
ResolvedWMDE-Fisch
ResolvedNone
OpenNone
DuplicateNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added subscribers: Zppix, Steinsplitter, Aklapper. · View Herald TranscriptJul 15 2016, 1:29 PM
Lea_WMDE updated the task description. (Show Details)Aug 16 2016, 1:02 PM
Lea_WMDE moved this task from Backlog to Prio2 on the TCB-Team (Oct2016-March2017) board.
Lea_WMDE updated the task description. (Show Details)Aug 18 2016, 12:23 PM
Lea_WMDE updated the task description. (Show Details)Aug 19 2016, 1:42 PM
Lea_WMDE updated the task description. (Show Details)Aug 19 2016, 2:06 PM
Lea_WMDE updated the task description. (Show Details)Sep 27 2016, 10:30 AM
Lea_WMDE updated the task description. (Show Details)Sep 27 2016, 10:59 AM
Lea_WMDE updated the task description. (Show Details)Oct 5 2016, 3:59 PM
Lea_WMDE updated the task description. (Show Details)Oct 6 2016, 5:01 PM
Lea_WMDE updated the task description. (Show Details)Oct 7 2016, 2:02 PM
Lea_WMDE updated the task description. (Show Details)Mar 8 2017, 3:57 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE changed the status of subtask T160182: Display original location in Commons from Open to Stalled.Mar 15 2017, 1:02 PM
Lea_WMDE changed the status of subtask T160181: Display new location in source wiki from Open to Stalled.Mar 15 2017, 3:39 PM

It would be way cool to also allow moving files in the opposite direction, from Commons to a specific Wikipedia. For files which are uploaded to Commons, used in articles, but later discovered to be improperly licensed (but okay under US fair use, or okay under a specific country's law), or simply for reverting erroneous moves in the other direction.

It would be way cool to also allow moving files in the opposite direction, from Commons to a specific Wikipedia. For files which are uploaded to Commons, used in articles, but later discovered to be improperly licensed (but okay under US fair use, or okay under a specific country's law), or simply for reverting erroneous moves in the other direction.

Interesting. I doubt this use case will make it into the first deployed version, but in theory the extensions can work in both ways if deployed on both / all sites.

Geagea added a subscriber: Geagea.May 7 2017, 10:59 PM
Lea_WMDE changed the status of subtask T160182: Display original location in Commons from Stalled to Open.Jul 31 2017, 9:37 AM
Lea_WMDE changed the status of subtask T160181: Display new location in source wiki from Stalled to Open.
Lea_WMDE updated the task description. (Show Details)Nov 2 2017, 11:31 AM
jeblad added a subscriber: jeblad.Nov 22 2017, 11:06 AM
ToBeFree added a subscriber: ToBeFree.
eranroz added a subscriber: eranroz.Aug 3 2018, 8:16 PM

It would be way cool to also allow moving files in the opposite direction, from Commons to a specific Wikipedia. For files which are uploaded to Commons, used in articles, but later discovered to be improperly licensed (but okay under US fair use, or okay under a specific country's law), or simply for reverting erroneous moves in the other direction.

+1 for matmarex idea. I recently discussed about another useful usecase with @Geagea - (non simple) logos - which sometimes doesn't fit to commons, but can be used with fair use license in Wikipedia.

As a matter a fact allow to move between wikis might be also good idea. If en.wiki uploaded a logo it might be usefull also as a logo to othe wikis.

My question is similar to the previous ones: Is it going to be possible to change the destination wiki or will it be Wikimedia Commons by default?

My question is similar to the previous ones: Is it going to be possible to change the destination wiki or will it be Wikimedia Commons by default?

I think the scope of this task is only about one direction (to Commons). However, the opposite direction is also useful (though with different priority) and I moved it as a separate task T215381 which can be tracked separately

Hi all,
this project is about moving files from other Wikimedia projects to Commons. However, the code is designed in a way that it would allow moves from any wiki to any other wiki as well. For now, we are working on bringing FileImporter/FileExporter fully to production. Once that is done, anybody who feels like extending the extension for other directionalities, is appreciated :)

Fastily removed a subscriber: Fastily.Feb 11 2019, 7:23 PM